=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -11,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkf5config-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.94~),
                libkf5crash-dev (>= 5.102.0~),
                libkf5declarative-dev (>= 5.102.0~),
                libkf5globalaccel-dev (>= 5.102.0~),
@@ -20,12 +19,12 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.4~),
+               libkf5screen-dev,
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.4~),
+               liblayershellqtinterface-dev (>= 5.27.5~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
@@ -39,10 +38,10 @@
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -71,8 +70,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
@@ -90,10 +88,10 @@
 
 Package: libkscreenlocker5
 Architecture: any
-Pre-Depends: psmisc
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.26.70~), kwin-common (>> 4:5.27.70~)
-Recommends: kde-config-screenlocker
+Pre-Depends: psmisc,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: kwin-common (<< 4:5.26.70~), kwin-common (>> 4:5.27.70~),
+Recommends: kde-config-screenlocker,
 Multi-Arch: same
 Description: Secure lock screen architecture
  KDE systemsettings module to configure kscreenlocker.
