=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.5~),
+               liblayershellqtinterface-dev (>= 5.27.7~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
