=== debian/control ===
--- 
+++ 
@@ -20,12 +20,12 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.8~),
+               libkf5screen-dev (>= 4:5.27.10~),
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.8~),
+               liblayershellqtinterface-dev (>= 5.27.10~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
