=== debian/control ===
--- 
+++ 
@@ -20,12 +20,12 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5kio-dev (>= 5.102.0~),
                libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.10~),
+               libkf5screen-dev (>= 4:5.27.11~),
                libkf5solid-dev (>= 5.102.0~),
                libkf5wayland-dev (>= 4:5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
                libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.10~),
+               liblayershellqtinterface-dev (>= 5.27.11~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.2~),
                libwayland-dev (>= 1.3~),
@@ -35,8 +35,8 @@
                libxcb1-dev,
                libxcursor-dev,
                libxi-dev,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
