## kscreenlocker 6.1.5

=== debian/changelog ===
kscreenlocker (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:00 +0100

kscreenlocker (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:01 +0100

kscreenlocker (6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Mark a symbol as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 11:22:42 +0100

kscreenlocker (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.1.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:20 +0200

kscreenlocker (6.1.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks+Replaces for libkscreenlocker6 against
    libkscreenlocker5 (Closes: #1074165).
  * Removes the Breaks against kwin-common. To be evaluated.

 -- Patrick Franz <deltaone@debian.org>  Tue, 25 Jun 2024 00:49:04 +0200

kscreenlocker (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * New binary package libkscreenlocker6.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Jun 2024 17:26:02 +0200

kscreenlocker (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:24:39 +0200
