=== debian/control ===
--- 
+++ 
@@ -4,30 +4,29 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.102.0~),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               extra-cmake-modules (>= 6.2.0~),
                gettext,
-               libkf5config-dev (>= 5.102.0~),
-               libkf5crash-dev (>= 5.102.0~),
-               libkf5declarative-dev (>= 5.102.0~),
-               libkf5globalaccel-dev (>= 5.102.0~),
-               libkf5i18n-dev (>= 5.102.0~),
-               libkf5idletime-dev (>= 5.102.0~),
-               libkf5kcmutils-dev (>= 5.102.0~),
-               libkf5kio-dev (>= 5.102.0~),
-               libkf5notifications-dev (>= 5.102.0~),
-               libkf5screen-dev (>= 4:5.27.11~),
-               libkf5solid-dev (>= 5.102.0~),
-               libkf5wayland-dev (>= 4:5.102.0~),
-               libkf5windowsystem-dev (>= 5.102.0~),
-               libkf5xmlgui-dev (>= 5.102.0~),
-               liblayershellqtinterface-dev (>= 5.27.11~),
+               libkf6crash-dev (>= 6.2.0~),
+               libkf6globalaccel-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.2.0~),
+               libkf6idletime-dev (>= 6.2.0~),
+               libkf6kcmutils-dev (>= 6.2.0~),
+               libkf6kio-dev (>= 6.2.0~),
+               libkf6notifications-dev (>= 6.2.0~),
+               libkf6solid-dev (>= 6.2.0~),
+               libkf6svg-dev (>= 6.2.0~),
+               libkf6windowsystem-dev (>= 6.2.0~),
+               libkf6xmlgui-dev (>= 6.2.0~),
+               libkscreen-dev (>= 4:6.1.5~),
+               liblayershellqtinterface-dev (>= 6.1.5~),
                libpam0g-dev,
-               libqt5x11extras5-dev (>= 5.15.2~),
+               libplasma-dev (>= 6.1.5~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -35,11 +34,10 @@
                libxcb1-dev,
                libxcursor-dev,
                libxi-dev,
-               pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
@@ -47,7 +45,7 @@
 
 Package: kde-config-screenlocker
 Architecture: any
-Depends: libkscreenlocker5 (= ${binary:Version}),
+Depends: libkscreenlocker6 (= ${binary:Version}),
          systemsettings,
          ${misc:Depends},
          ${perl:Depends},
@@ -71,7 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}),
+Depends: libkscreenlocker6 (= ${binary:Version}),
          ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
@@ -88,13 +86,14 @@
  .
  This package contains development files for kscreenlocker.
 
-Package: libkscreenlocker5
+Package: libkscreenlocker6
 Architecture: any
+Multi-Arch: same
 Pre-Depends: psmisc,
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: kwin-common (<< 4:5.26.70~), kwin-common (>> 4:5.27.70~),
 Recommends: kde-config-screenlocker,
-Multi-Arch: same
+Breaks: libkscreenlocker5,
+Replaces: libkscreenlocker5,
 Description: Secure lock screen architecture
  KDE systemsettings module to configure kscreenlocker.
  .
