## kscreenlocker 6.2.1

=== debian/changelog ===
kscreenlocker (6.2.1-1deepin2) unstable; urgency=medium

  * add rebuild.

 -- lichenggang <lichenggang@deepin.org>  Tue, 08 Apr 2025 18:13:56 +0800

kscreenlocker (6.2.1-1deepin1) experimental; urgency=medium

  * update build-dep.

 -- lichenggang <lichenggang@deepin.org>  Thu, 21 Nov 2024 17:32:15 +0800

kscreenlocker (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:24:52 +0200

kscreenlocker (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:49 +0200

kscreenlocker (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.
  * Drop useless ${perl:Depends} for kde-config-screenlocker.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:12 +0200

kscreenlocker (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:25 +0200
